<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSIFTP Control Connection API</title>
    <filename>main</filename>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control.c</name>
    <path>/tmp/buildd/globus-ftp-control-2.11/</path>
    <filename>globus__ftp__control_8c</filename>
    <member kind="variable">
      <type>int</type>
      <name>globus_i_ftp_control_debug_level</name>
      <anchorfile>globus__ftp__control_8c.html</anchorfile>
      <anchor>a7ef0cb48d049249cb2e9b736ad074d8d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control.h</name>
    <path>/tmp/buildd/globus-ftp-control-2.11/</path>
    <filename>globus__ftp__control_8h</filename>
    <class kind="struct">globus_ftp_control_dcau_subject_s</class>
    <class kind="struct">globus_ftp_control_round_robin_s</class>
    <class kind="union">globus_ftp_control_dcau_u</class>
    <class kind="union">globus_ftp_control_layout_u</class>
    <class kind="union">globus_ftp_control_parallelism_u</class>
    <class kind="struct">globus_ftp_control_tcpbuffer_default_t</class>
    <class kind="struct">globus_ftp_control_tcpbuffer_fixed_t</class>
    <class kind="struct">globus_ftp_control_tcpbuffer_automatic_s</class>
    <class kind="union">globus_ftp_control_tcpbuffer_t</class>
    <class kind="struct">globus_ftp_control_auth_info_s</class>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CONTROL_MODULE</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>aa4ab7f216c8772870b48c9a42a1aba06</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_type_e</type>
      <name>globus_ftp_control_type_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a6f30449bd42513b18b569c22fc2cc9ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_mode_e</type>
      <name>globus_ftp_control_mode_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>af62a47bb12c96632a493bd59135b51fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_dcau_mode_e</type>
      <name>globus_ftp_control_dcau_mode_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>ac19572eb1ef441e3a446dd3127be3a45</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_ftp_control_dcau_subject_s</type>
      <name>globus_ftp_control_dcau_subject_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>ac2931ba8a6e7ec425a23db12bb12f74f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_striping_mode_e</type>
      <name>globus_ftp_control_striping_mode_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>ae3195a9e7016b308540c027f77f18401</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_ftp_control_round_robin_s</type>
      <name>globus_ftp_control_round_robin_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a21294d5716e848eef51c670ca8f3d39d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>union globus_ftp_control_dcau_u</type>
      <name>globus_ftp_control_dcau_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a004a422fa627c354b445686696cbb958</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>union globus_ftp_control_layout_u</type>
      <name>globus_ftp_control_layout_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>ae4b405b046cc48ff5f9b41cea8b75ea8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_structure_e</type>
      <name>globus_ftp_control_structure_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a55cf4011b4f20863792095dfcd987444</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_parallelism_mode_e</type>
      <name>globus_ftp_control_parallelism_mode_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>ae2980488df54654875ef9423522a916b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>union globus_ftp_control_parallelism_u</type>
      <name>globus_ftp_control_parallelism_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a672ecaceb853a6789087707cf2ed8c55</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>enum globus_ftp_control_tcpbuffer_mode_e</type>
      <name>globus_ftp_control_tcpbuffer_mode_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a97750cc9140fd8a9875b9f495912e5f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_ftp_control_tcpbuffer_automatic_s</type>
      <name>globus_ftp_control_tcpbuffer_automatic_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a9cf1ed2b6e644a5f75e92c0e9e7d60a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>union globus_ftp_control_tcpbuffer_t</type>
      <name>globus_ftp_control_tcpbuffer_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a6abb33927bff87aab5e17808e4a28c8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_ftp_control_auth_info_s</type>
      <name>globus_ftp_control_auth_info_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>aa584e4697688c843a840c6d5156ddeff</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_response_callback_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a651a9431c3a05f4477026f810e10d79c</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_handle_s *handle, globus_object_t *error, globus_ftp_control_response_t *ftp_response)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_callback_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a930551e87a612fcb919cd41dac139d3e</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_handle_s *handle, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_command_callback_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a0baad8fc8eb63a1c99d3d2ab2abd8d69</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_handle_s *handle, globus_object_t *error, union globus_ftp_control_command_u *command)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_auth_callback_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a9650eae2be2b0ef069bc8386fa64f203</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_handle_s *handle, globus_object_t *error, globus_ftp_control_auth_info_t *auth_result)</arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>globus_ftp_control_auth_requirements_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a1449d1e260814c8fb5e2db9dc5d47eaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_data_callback_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a3fb6a53946f4cfd752b0a34c2dc38772</anchor>
      <arglist>)(void *callback_arg, globus_ftp_control_handle_t *handle, globus_object_t *error, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_control_server_callback_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a37d40262c4163f628f1986640189cbe1</anchor>
      <arglist>)(void *callback_arg, struct globus_ftp_control_server_s *server_handle, globus_object_t *error)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_type_e</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a1a623689eeb42871c1fade4c8afe3d16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_mode_e</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a968e5612bc0b02d31be91f874a35314e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_dcau_mode_e</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a275b399dc7471f601a01b57d172b32b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_striping_mode_e</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a5759585283a0682efa9f65db11bd1a0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_protection_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a4685b3802f2de75205e336180249a76f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_delay_passive_t</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a99c15db71f2c27da36d596c2dba17978</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_structure_e</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>af0223b3cc8c717ff8185fe5fb5fecf8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_parallelism_mode_e</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>ac3cbd0b2749d0352fe9e20b4d8af3936</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_control_tcpbuffer_mode_e</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a353ef02292de00c68f2909c648d70069</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CONTROL_TCPBUFFER_DEFAULT</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a353ef02292de00c68f2909c648d70069a1b10c5ba18ec87dfd3b47d3f7fcbcd81</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CONTROL_TCPBUFFER_FIXED</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a353ef02292de00c68f2909c648d70069a20fb3679c4f156c5593c380982b02a54</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CONTROL_TCPBUFFER_AUTOMATIC</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a353ef02292de00c68f2909c648d70069ac60195a743ea3c5340285bb60ae2a542</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_layout</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>ac5f8c3b0f169b6bf0aa4ac07d3a23dcd</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_layout_t *layout, globus_size_t data_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_set_interface</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a930c3a2201c169fcb352d46e55c2e005</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const char *interface_addr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_create_data_info</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a826cdc0435d67e03ff9266c2ef672dad</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_write_info_t *data_info, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_release_data_info</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>ae4c69e9e97c7a4870adc00fad1077b59</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_write_info_t *data_info)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_write_stripe</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a8b27ad6262a3e887b937128ac1c1ea7a</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, int stripe_ndx, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_X_ftp_control_data_write_stripe</name>
      <anchorfile>globus__ftp__control_8h.html</anchorfile>
      <anchor>a7ad84411e0f766dcf2e893cb9a12521f</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, int stripe_ndx, globus_ftp_control_data_write_info_t *data_info)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control_client.c</name>
    <path>/tmp/buildd/globus-ftp-control-2.11/</path>
    <filename>globus__ftp__control__client_8c</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_handle_init</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>a17641434ec13724e3c629de3610eb203</anchor>
      <arglist>(globus_ftp_control_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_handle_destroy</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>ad07eb73af4a5412c471cd0aa4218a852</anchor>
      <arglist>(globus_ftp_control_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_connect</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>ab1da4f2de6561c56731748b2772e930b</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, char *host, unsigned short port, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_response_destroy</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>a8332c7c3684ae1ba63f3703ecf14bc14</anchor>
      <arglist>(globus_ftp_control_response_t *response)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_response_copy</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>a2f368cbae609d1269c8fdb38adc9d62b</anchor>
      <arglist>(globus_ftp_control_response_t *src, globus_ftp_control_response_t *dest)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_authenticate</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>ac81fce63a2db1bfb9a062678673b40ec</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_auth_info_t *auth_info, globus_bool_t use_auth, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_send_command</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>a896f87fa3936fba6dd9ac1f42cdcd7a3</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const char *cmdspec, globus_ftp_control_response_callback_t callback, void *callback_arg,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_abort</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>a5de5986ff238236e7245f3fd0878c303</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_quit</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>aa7c1e543c8dcf15b4c57ea60bb63bd15</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_force_close</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>aaaf2b5b43dab970e5beadba86f473a62</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_response_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_auth_info_init</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>a06430b7d1ec905f76c38a301a3a3e430</anchor>
      <arglist>(globus_ftp_control_auth_info_t *auth_info, gss_cred_id_t credential_handle, globus_bool_t encrypt, char *user, char *password, char *account, char *subject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_ftp_control_auth_info_compare</name>
      <anchorfile>globus__ftp__control__client_8c.html</anchorfile>
      <anchor>a4c26809d156d143f45ef0826c6c5c88b</anchor>
      <arglist>(globus_ftp_control_auth_info_t *auth_info_1, globus_ftp_control_auth_info_t *auth_info_2)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control_data.c</name>
    <path>/tmp/buildd/globus-ftp-control-2.11/</path>
    <filename>globus__ftp__control__data_8c</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_connect_read</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a491be4232ce6eef639f2c2144ab87d25</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_connect_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_set_interface</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a930c3a2201c169fcb352d46e55c2e005</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const char *interface_addr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_connect_write</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a4e397a4117a2067755b15425529389d9</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_connect_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_add_channels</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a1b63610ede0ef8d4358801dfcb3f9cc2</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned int num_channels, unsigned int stripe_ndx)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_send_eof</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a9c7519f85c1cb265f721d627da480136</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, int count[], int array_size, globus_bool_t eof_message, globus_ftp_control_callback_t cb, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_remove_channels</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>ae3c0ad1d168e7e573d3253288d869f20</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned int num_channels, unsigned int stripe_ndx)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_query_channels</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a2b4c100b433ad29bd578d967a1e27ad7</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned int *num_channels, unsigned int stripe_ndx)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_get_total_data_channels</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a0cf1d57636534091bb722cf6c79950b0</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned int *num_channels, unsigned int stripe_ndx)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_send_eof</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a74ea20132b2664a0264ce4297d164084</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_bool_t send_eof)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_parallelism</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a5b46f5317ce108090bbff0dbe4d4beda</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_parallelism_t *parallelism)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_pasv</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>ad87b5f1ae1cc6e41197031f1e0a0b178</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_host_port_t *address)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_spas</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>ad634a4040a19efcaf44789762632b79e</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_host_port_t addresses[], unsigned int num_addresses)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_port</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>ac3baa9959f72deb6158a38120a479653</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_host_port_t *address)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_spor</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a1955115a77e36f5d2804f46494731322</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_host_port_t addresses[], unsigned int num_addresses)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_type</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>aeffd01d5bb267664069b8d7527504f72</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_type_t type, int form_code)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_mode</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>aa4a79857e80d5a7f443c95c45775470d</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_mode_t mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_tcp_buffer</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a7110b6db772147fc615b39a063262d4a</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_tcpbuffer_t *tcp_buffer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_dcau</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a1b91e1b82c1532ddff6dca662af43222</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const globus_ftp_control_dcau_t *dcau, gss_cred_id_t delegated_credential_handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_pbsz</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>ac1ffebfc4d58e1710ae1768abb2ac859</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned long bufsize)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_get_pbsz</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>af56fed1b06cc44769712de8aa5e3482b</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, unsigned long *bufsize)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_stru</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a3c61df021a3cd6e5722c069925c91e7c</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_structure_t structure)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_write</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a39de10b1a100585a3e3bc9671dc5c498</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_read</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a9450b46f5584a4b496b0c63b3cd962bb</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t max_length, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_local_layout</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>ac5f8c3b0f169b6bf0aa4ac07d3a23dcd</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_layout_t *layout, globus_size_t data_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_create_data_info</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a826cdc0435d67e03ff9266c2ef672dad</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_write_info_t *data_info, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_release_data_info</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>ae4c69e9e97c7a4870adc00fad1077b59</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_data_write_info_t *data_info)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_write_stripe</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a8b27ad6262a3e887b937128ac1c1ea7a</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, int stripe_ndx, globus_ftp_control_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_X_ftp_control_data_write_stripe</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a7ad84411e0f766dcf2e893cb9a12521f</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof, int stripe_ndx, globus_ftp_control_data_write_info_t *data_info)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_data_force_close</name>
      <anchorfile>globus__ftp__control__data_8c.html</anchorfile>
      <anchor>a6a51359227b60127c472fff1cea91b27</anchor>
      <arglist>(globus_ftp_control_handle_t *control_handle, globus_ftp_control_callback_t close_callback_func, void *close_arg)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control_layout.c</name>
    <path>/tmp/buildd/globus-ftp-control-2.11/</path>
    <filename>globus__ftp__control__layout_8c</filename>
  </compound>
  <compound kind="file">
    <name>globus_ftp_control_server.c</name>
    <path>/tmp/buildd/globus-ftp-control-2.11/</path>
    <filename>globus__ftp__control__server_8c</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_handle_init</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>ad1f4f1017c6076640be3dda9ce3be446</anchor>
      <arglist>(globus_ftp_control_server_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_handle_destroy</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>a48ae79771e56cc5964aeaffc07fdb011</anchor>
      <arglist>(globus_ftp_control_server_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_listen</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>a9aa7828c6b3490103b3a1d234c0b25fe</anchor>
      <arglist>(globus_ftp_control_server_t *server_handle, unsigned short *port, globus_ftp_control_server_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_command_init</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>afe4822fe0bc08979af03d239ba32827d</anchor>
      <arglist>(globus_ftp_control_command_t *command, char *raw_command, globus_ftp_control_auth_info_t *auth_info)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_command_destroy</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>a4e1db9ff59ff3e0d141259389a24a471</anchor>
      <arglist>(globus_ftp_control_command_t *command)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_command_copy</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>ad40124fb90dac3d280815f5492a15786</anchor>
      <arglist>(globus_ftp_control_command_t *dest, globus_ftp_control_command_t *src)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_stop</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>a8c6819e12fa669377698938d697e028e</anchor>
      <arglist>(globus_ftp_control_server_t *listener, globus_ftp_control_server_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_accept</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>aca471079fa07d83c72c1ba6c1664f3a6</anchor>
      <arglist>(globus_ftp_control_server_t *listener, globus_ftp_control_handle_t *handle, globus_ftp_control_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_server_authenticate</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>a1b30bbb17660b9b4ff91744a7ef415fb</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_auth_requirements_t auth_requirements, globus_ftp_control_auth_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_read_commands</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>adfce340e67fb75ee97f17d1ecba3e437</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, globus_ftp_control_command_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_control_send_response</name>
      <anchorfile>globus__ftp__control__server_8c.html</anchorfile>
      <anchor>a70477534071254945dd19db79661b1e7</anchor>
      <arglist>(globus_ftp_control_handle_t *handle, const char *respspec, globus_ftp_control_callback_t callback, void *callback_arg,...)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>globus_ftp_extensions</name>
    <title>GridFTP: Protocol Extensions to FTP for the Grid</title>
    <filename>globus__ftp__extensions</filename>
    <docanchor file="globus__ftp__extensions">rfc2389</docanchor>
    <docanchor file="globus__ftp__extensions">refs</docanchor>
    <docanchor file="globus__ftp__extensions">opts</docanchor>
    <docanchor file="globus__ftp__extensions">SPOR</docanchor>
    <docanchor file="globus__ftp__extensions">rfc959</docanchor>
    <docanchor file="globus__ftp__extensions">ietfftpext</docanchor>
    <docanchor file="globus__ftp__extensions">DCAU</docanchor>
    <docanchor file="globus__ftp__extensions">SBUF</docanchor>
    <docanchor file="globus__ftp__extensions">sec_DCAU</docanchor>
    <docanchor file="globus__ftp__extensions">sec_SBUF</docanchor>
    <docanchor file="globus__ftp__extensions">sec_SPAS</docanchor>
    <docanchor file="globus__ftp__extensions">sec_OPTS</docanchor>
    <docanchor file="globus__ftp__extensions">sec_ESTO</docanchor>
    <docanchor file="globus__ftp__extensions">rfc2228</docanchor>
    <docanchor file="globus__ftp__extensions">sec_SPOR</docanchor>
    <docanchor file="globus__ftp__extensions">page_extensions</docanchor>
    <docanchor file="globus__ftp__extensions">mode_e</docanchor>
    <docanchor file="globus__ftp__extensions">ESTO</docanchor>
    <docanchor file="globus__ftp__extensions">Existing</docanchor>
    <docanchor file="globus__ftp__extensions">ERET</docanchor>
    <docanchor file="globus__ftp__extensions">appendix_i</docanchor>
    <docanchor file="globus__ftp__extensions">extensions_intro</docanchor>
    <docanchor file="globus__ftp__extensions">sec_ERET</docanchor>
    <docanchor file="globus__ftp__extensions">term</docanchor>
    <docanchor file="globus__ftp__extensions">SPAS</docanchor>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_auth_info_s</name>
    <filename>structglobus__ftp__control__auth__info__s.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_dcau_subject_s</name>
    <filename>structglobus__ftp__control__dcau__subject__s.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_control_dcau_u</name>
    <filename>unionglobus__ftp__control__dcau__u.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_control_layout_u</name>
    <filename>unionglobus__ftp__control__layout__u.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_control_parallelism_u</name>
    <filename>unionglobus__ftp__control__parallelism__u.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_round_robin_s</name>
    <filename>structglobus__ftp__control__round__robin__s.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_tcpbuffer_automatic_s</name>
    <filename>structglobus__ftp__control__tcpbuffer__automatic__s.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_tcpbuffer_default_t</name>
    <filename>structglobus__ftp__control__tcpbuffer__default__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_control_tcpbuffer_fixed_t</name>
    <filename>structglobus__ftp__control__tcpbuffer__fixed__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_control_tcpbuffer_t</name>
    <filename>unionglobus__ftp__control__tcpbuffer__t.html</filename>
  </compound>
</tagfile>
